

void StretchBlit( SDL_Surface *scr, SDL_Surface *texture, int x, int y, int w, int h );
char drawtpolyperspsubtri(TPolytri *poly, SDL_Surface *screen, SDL_Surface *texture );	

struct TPolytri
{
	float x1, y1, z1;
	float x2, y2, z2;
	float x3, y3, z3;
	float u1, v1;
	float u2, v2;
	float u3, v3;
	char *texture;
};
